## org.apache.mahout.clustering.streaming.tools
Class IOUtils

    java.lang.Object
      org.apache.mahout.clustering.streaming.tools.IOUtils

    public class IOUtils

extends Object

Method Summary
`static Iterable<Centroid>` `getCentroidsFromCentroidWritableIterable(Iterable<CentroidWritable> dirIterable)` Converts CentroidWritable values in a sequence file into Centroids lazily.
`static Iterable<Centroid>` `getCentroidsFromClusterWritableIterable(Iterable<ClusterWritable> dirIterable)` Converts CentroidWritable values in a sequence file into Centroids lazily.
`static Iterable<Vector>` `getVectorsFromVectorWritableIterable(Iterable<VectorWritable> dirIterable)` Converts VectorWritable values in a sequence file into Vectors lazily.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCentroidsFromCentroidWritableIterable

    public static Iterable<Centroid> getCentroidsFromCentroidWritableIterable(Iterable<CentroidWritable> dirIterable)

  Converts CentroidWritable values in a sequence file into Centroids lazily.

  Parameters:
    `dirIterable` - the source iterable (comes from a SequenceFileDirIterable).
  Returns:
    an Iterable<Centroid> with the converted vectors.

### getCentroidsFromClusterWritableIterable

    public static Iterable<Centroid> getCentroidsFromClusterWritableIterable(Iterable<ClusterWritable> dirIterable)

  Converts CentroidWritable values in a sequence file into Centroids lazily.

  Parameters:
    `dirIterable` - the source iterable (comes from a SequenceFileDirIterable).
  Returns:
    an Iterable<Centroid> with the converted vectors.

### getVectorsFromVectorWritableIterable

    public static Iterable<Vector> getVectorsFromVectorWritableIterable(Iterable<VectorWritable> dirIterable)

  Converts VectorWritable values in a sequence file into Vectors lazily.

  Parameters:
    `dirIterable` - the source iterable (comes from a SequenceFileDirIterable).
  Returns:
    an Iterable<Vector> with the converted vectors.

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.